Skip to main content
GET
/
collections
List collections
curl --request GET \
  --url https://app.edpire.com/api/v1/collections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "item_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "error": {
    "message": "<string>"
  },
  "meta": {
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Authorizations

Authorization
string
header
required

API key starting with edp_live_. Pass via Authorization: Bearer edp_live_xxx.

Scopes: read:assessments, write:assessments, read:results, write:submissions.

Query Parameters

page
integer
default:1
limit
integer
default:20
Required range: x <= 100

Response

200 - application/json

Paginated list of collections

data
object[]
error
object
meta
object